summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-26 06:43:13 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-26 06:43:13 +0000
commit2797cc940a89b17c99cb401b83beba1fe1442368 (patch)
tree2bfad817a60105f1a0bee94a7dde5cca849bf958 /dev-python
parent689a865f2e1044a4bf1c8fdceab47c4d87a282c0 (diff)
downloadbaldeagleos-repo-2797cc940a89b17c99cb401b83beba1fe1442368.tar.gz
baldeagleos-repo-2797cc940a89b17c99cb401b83beba1fe1442368.tar.xz
baldeagleos-repo-2797cc940a89b17c99cb401b83beba1fe1442368.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/chump/chump-1.6.0-r2.ebuild23
-rw-r--r--dev-python/cjkwrap/cjkwrap-2.2-r2.ebuild16
-rw-r--r--dev-python/cli_helpers/cli_helpers-9999.ebuild2
-rw-r--r--dev-python/crashtest/crashtest-0.3.1-r1.ebuild18
-rw-r--r--dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild29
-rw-r--r--dev-python/cycler/cycler-0.11.0-r1.ebuild23
-rw-r--r--dev-python/gst-python/gst-python-1.20.2.ebuild2
-rw-r--r--dev-python/json-rpc/json-rpc-1.13.0-r1.ebuild25
-rw-r--r--dev-python/jsonmerge/jsonmerge-1.8.0-r1.ebuild20
-rw-r--r--dev-python/jsonxs/jsonxs-0.6-r1.ebuild21
-rw-r--r--dev-python/pipenv/pipenv-2022.5.2-r1.ebuild (renamed from dev-python/pipenv/pipenv-2022.5.2.ebuild)1
-rw-r--r--dev-python/pyx/Manifest1
-rw-r--r--dev-python/pyx/pyx-0.15_p1.ebuild90
-rw-r--r--dev-python/pyxdg/pyxdg-0.27-r1.ebuild2
14 files changed, 270 insertions, 3 deletions
diff --git a/dev-python/chump/chump-1.6.0-r2.ebuild b/dev-python/chump/chump-1.6.0-r2.ebuild
new file mode 100644
index 000000000000..a42ed6b78013
--- /dev/null
+++ b/dev-python/chump/chump-1.6.0-r2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="API wrapper for Pushover"
+HOMEPAGE="https://github.com/karanlyons/chump"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# 'html_theme' is unset, meaning alabaster will be used
+# and sphinx depends on it
+distutils_enable_sphinx docs
+
+# The package has no test suite
diff --git a/dev-python/cjkwrap/cjkwrap-2.2-r2.ebuild b/dev-python/cjkwrap/cjkwrap-2.2-r2.ebuild
new file mode 100644
index 000000000000..32ba77dc9dae
--- /dev/null
+++ b/dev-python/cjkwrap/cjkwrap-2.2-r2.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A library for wrapping and filling UTF-8 CJK text"
+HOMEPAGE="https://f.gallai.re/cjkwrap https://gitlab.com/fgallaire/cjkwrap"
+SRC_URI="https://github.com/fgallaire/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
diff --git a/dev-python/cli_helpers/cli_helpers-9999.ebuild b/dev-python/cli_helpers/cli_helpers-9999.ebuild
index 83b964d6515c..091d4145625c 100644
--- a/dev-python/cli_helpers/cli_helpers-9999.ebuild
+++ b/dev-python/cli_helpers/cli_helpers-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/crashtest/crashtest-0.3.1-r1.ebuild b/dev-python/crashtest/crashtest-0.3.1-r1.ebuild
new file mode 100644
index 000000000000..55c049f81763
--- /dev/null
+++ b/dev-python/crashtest/crashtest-0.3.1-r1.ebuild
@@ -0,0 +1,18 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python library that makes exceptions handling and inspection easier"
+HOMEPAGE="https://github.com/sdispater/crashtest"
+SRC_URI="https://github.com/sdispater/crashtest/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild b/dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild
new file mode 100644
index 000000000000..c5a996844860
--- /dev/null
+++ b/dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for wc(s)width"
+HOMEPAGE="
+ https://github.com/sebastinas/cwcwidth/
+ https://pypi.org/project/cwcwidth/"
+SRC_URI="
+ https://github.com/sebastinas/cwcwidth/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/cycler/cycler-0.11.0-r1.ebuild b/dev-python/cycler/cycler-0.11.0-r1.ebuild
new file mode 100644
index 000000000000..2b2dfa8a8e67
--- /dev/null
+++ b/dev-python/cycler/cycler-0.11.0-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Composable style cycles"
+HOMEPAGE="
+ https://matplotlib.org/cycler/
+ https://pypi.org/project/cycler/
+ https://github.com/matplotlib/cycler"
+SRC_URI="
+ https://github.com/matplotlib/cycler/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+distutils_enable_tests pytest
diff --git a/dev-python/gst-python/gst-python-1.20.2.ebuild b/dev-python/gst-python/gst-python-1.20.2.ebuild
index b00a8ddbbe3c..1dfc71b0250a 100644
--- a/dev-python/gst-python/gst-python-1.20.2.ebuild
+++ b/dev-python/gst-python/gst-python-1.20.2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz"
LICENSE="LGPL-2+"
SLOT="1.0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
diff --git a/dev-python/json-rpc/json-rpc-1.13.0-r1.ebuild b/dev-python/json-rpc/json-rpc-1.13.0-r1.ebuild
new file mode 100644
index 000000000000..e456736fff98
--- /dev/null
+++ b/dev-python/json-rpc/json-rpc-1.13.0-r1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="JSON-RPC transport implementation for python"
+HOMEPAGE="https://github.com/pavlov99/json-rpc"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ test? ( dev-python/flask[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jsonmerge/jsonmerge-1.8.0-r1.ebuild b/dev-python/jsonmerge/jsonmerge-1.8.0-r1.ebuild
new file mode 100644
index 000000000000..0d6de18855ec
--- /dev/null
+++ b/dev-python/jsonmerge/jsonmerge-1.8.0-r1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Merge a series of JSON documents"
+HOMEPAGE="https://github.com/avian2/jsonmerge/ https://pypi.org/project/jsonmerge/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/jsonschema[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
diff --git a/dev-python/jsonxs/jsonxs-0.6-r1.ebuild b/dev-python/jsonxs/jsonxs-0.6-r1.ebuild
new file mode 100644
index 000000000000..0f71cea78990
--- /dev/null
+++ b/dev-python/jsonxs/jsonxs-0.6-r1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Get/set values in JSON and Python datastructures"
+HOMEPAGE="https://github.com/fboender/jsonxs"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+ "${EPYTHON}" jsonxs/jsonxs.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/pipenv/pipenv-2022.5.2.ebuild b/dev-python/pipenv/pipenv-2022.5.2-r1.ebuild
index d7aa6ebfebff..30a625af9003 100644
--- a/dev-python/pipenv/pipenv-2022.5.2.ebuild
+++ b/dev-python/pipenv/pipenv-2022.5.2-r1.ebuild
@@ -32,6 +32,7 @@ RDEPEND="
>=dev-python/virtualenv-20.0.35[${PYTHON_USEDEP}]
dev-python/virtualenv-clone[${PYTHON_USEDEP}]
>=dev-python/requests-2.26.0[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
>=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
>=dev-python/urllib3-1.26.7[${PYTHON_USEDEP}]
>=dev-python/wheel-0.36.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pyx/Manifest b/dev-python/pyx/Manifest
index 7103b8d91882..175aaacac94d 100644
--- a/dev-python/pyx/Manifest
+++ b/dev-python/pyx/Manifest
@@ -1,2 +1,3 @@
DIST W3C_SVG_11_TestSuite.tar.gz 14651624 BLAKE2B 680059d8b20775725cebb3aed4444acbc3222fde880ba93ee5186c99fc12afa8df2c790bdacbcd6e5ff4ab00e697d8317a9a6ae3039b8b2f02cf7774a18ca533 SHA512 e28e3996284c3f3e423e2b6957cddea71980bcb781d4180894e08f37a7ecce9c6021917329d6d433dcba792cbabb15c7cd503076e616ba5189193a5c554374ca
DIST pyx-0.15.gh.tar.gz 875286 BLAKE2B 49d36e1c0df3ee47a895279d7f296194324cf1582bb7db0259bcd01c9b17c4d0903c25fef10c7a22635fac62dc6378ffbece200eac99f75bb3ce81d48a71a0d1 SHA512 a7debff01f8055455855f4cac5a08d00c22d20d7918bd7341d2af83844223ae8bb23bbbe92149403656e18ffb8861e8568dfdcb59cc01c55ec60e63b62a8825a
+DIST pyx-0.15_p1.tar.bz2 746171 BLAKE2B 5b2325c7bb279e4f6425f0ba7f3808b7e540c7455738c617efdf1ad9d383a466d1b67b90e20e0bdbfa7d2fc56f1c80a4ae2badc5ef78f63ec410370d516f4ab3 SHA512 97809a38029011735d2cdea8f7e8326890d748d4159f44379f89c396b7ea4d2a026ca3370bb069974b07215da91a47b9334d8dd1f7db954c2dd272122bde8ff0
diff --git a/dev-python/pyx/pyx-0.15_p1.ebuild b/dev-python/pyx/pyx-0.15_p1.ebuild
new file mode 100644
index 000000000000..d3048b60c2c7
--- /dev/null
+++ b/dev-python/pyx/pyx-0.15_p1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+#DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package for the generation of encapsulated PostScript figures"
+HOMEPAGE="
+ https://github.com/pyx-project/pyx
+ https://pyx-project.org/
+ https://pypi.org/project/PyX/"
+# git 0f28343
+SRC_URI="https://dev.gentoo.org/~grozin/${P}.tar.bz2
+ test? ( https://www.w3.org/Graphics/SVG/Test/20110816/archives/W3C_SVG_11_TestSuite.tar.gz )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ virtual/tex-base
+ dev-texlive/texlive-basic"
+
+BDEPEND="${RDEPEND}
+ doc? (
+ virtual/latex-base
+ $(python_gen_any_dep '
+ dev-python/sphinx[latex,${PYTHON_USEDEP}]
+ dev-python/sphinx_selective_exclude[${PYTHON_USEDEP}]
+ ')
+ )
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_selective_exclude[${PYTHON_USEDEP}]
+ dev-python/testfixtures[${PYTHON_USEDEP}]
+ )"
+
+PATCHES=( "${FILESDIR}"/pyx-0.14.1-unicode-latex.patch )
+
+python_check_deps() {
+ use doc || return 0
+ has_version "dev-python/sphinx[latex,${PYTHON_USEDEP}]" &&
+ has_version "dev-python/sphinx_selective_exclude[${PYTHON_USEDEP}]"
+}
+
+src_unpack() {
+ unpack "${P}.tar.bz2"
+
+ if use test; then
+ mkdir "${S}"/test/svg/suite || die
+ cd "${S}"/test/svg/suite || die
+ unpack W3C_SVG_11_TestSuite.tar.gz
+ fi
+}
+
+src_prepare() {
+ sed -i \
+ -e 's/^build_t1code=.*/build_t1code=1/' \
+ -e 's/^build_pykpathsea=.*/build_pykpathsea=1/' \
+ setup.cfg || die "setup.cfg fix failed"
+ # stop test suite from downloading files
+ sed -i \
+ -e '/suite:/,$d' test/svg/Makefile || die
+ distutils-r1_src_prepare
+}
+
+python_compile_all() {
+ if use doc; then
+ local -x VARTEXFONTS="${T}"/fonts
+ emake -C "${S}"/manual latexpdf
+ emake -C "${S}"/faq latexpdf
+ fi
+}
+
+python_test() {
+ emake -C test
+}
+
+python_install_all() {
+ use doc && dodoc manual/_build/latex/manual.pdf faq/_build/latex/pyxfaq.pdf
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pyxdg/pyxdg-0.27-r1.ebuild b/dev-python/pyxdg/pyxdg-0.27-r1.ebuild
index 458d2c2ecbfb..eb5e3c5a425f 100644
--- a/dev-python/pyxdg/pyxdg-0.27-r1.ebuild
+++ b/dev-python/pyxdg/pyxdg-0.27-r1.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
distutils_enable_tests pytest